Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# stackobject.hh File Reference

A C++ base class for automatic (or stack) objects. More...

`#include <cstddef>`

## Namespaces

- namespace Xfc

## Classes

- class Xfc::StackObject
    A C++ base class for automatic (or stack) objects. More...

## Detailed Description

A C++ base class for automatic (or stack) objects.

Provides StackObject, a base class that declares 'operator new' and 'operator delete' private, thereby forcing dervied objects to be created on the stack.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3